
Redmine - Defect #31929

MarkdownFormatterTest#test_should_support_underlined_text is declared as private

2019-08-20 19:37 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed Affected version: 4.0.0

Description

#28169 introduced Redmine::WikiFormatting::MarkdownFormatterTest#test_should_support_underlined_text. However, this test

seems to be unintentionally declared as private instead of being public due to the existence of the private method

#assert_section_with_hash.

This issue was reported by Martin Cizek in issue #22323#note-5.

Related issues:

Related to Redmine - Patch #28169: Enable and add underline button to the too... Closed

Related to Redmine - Defect #33562: Some tests in ApplicationHelperTest are d... Closed

Associated revisions

Revision 18381 - 2019-08-21 02:31 - Go MAEDA

MarkdownFormatterTest#test_should_support_underlined_text is declared as private (#31929).

Patch by Marius BALTEANU.

History

#1 - 2019-08-20 20:33 - Marius BĂLTEANU

- Related to Patch #28169: Enable and add underline button to the toolbar for Markdown formatting  added

#2 - 2019-08-20 20:33 - Marius BĂLTEANU

- File fix_test.patch added

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

It was introduced by me in #28169. Attached a patch with the fix.

#3 - 2019-08-21 00:30 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.0.5

Setting the target version to 4.0.5.

#4 - 2019-08-21 02:38 - Go MAEDA

- Category set to Code cleanup/refactoring

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.0.5 to 4.1.0

- Resolution set to Fixed

Committed the patch. Thanks.

I don't think we have to backport this change to 4.0-stable because the issue does not affect users.

#5 - 2020-06-07 09:13 - Mischa The Evil
- Related to Defect #33562: Some tests in ApplicationHelperTest are declared as private added

Files

fix_test.patch 1.18 KB 2019-08-20 Marius BĂLTEANU
